Vous êtes actuellement hors ligne, en attente de reconnexion à Internet.

Problème connu pour les mises à jour de sécurité 3098779 et 3097997 pour .NET Framework 4.5.1 et 4.5.2 après l'installation de .NET Framework 4.6 sous Windows 8.1, Windows RT 8.1 et Windows Se...

Résumé
Les clients qui procèdent à la mise à niveau de .NET Framework 4.5.1 ou 4.5.2 vers .NET Framework 4.6 ou qui installent Visual Studio 2015 après avoir installé les mises à jour  3098779 et 3097997 peuvent également rencontrer des problèmes lorsqu'ils exécutent des applications .NET Framework.

De même, les clients qui utilisent un système sur lequel Microsoft .NET Framework 4.6 est installé et qui appliquent manuellement les mises à jour de sécurité 3098779 et 3097997 pour Microsoft .NET Framework 4.5.1 et 4.5.2 sous Windows 8.1, Windows RT 8.1 et Windows Server 2012 R2 peuvent rencontrer des problèmes lorsqu'ils exécutent des applications .NET Framework.

Remarque Les systèmes d'exploitation plus anciens sur lesquels .NET Framework 4.5.1 ou 4.5.2 est installé ne sont pas concernés par ce problème, car les mises à jour de sécurité 3098779 et 3097997 ne s'appliquent pas à eux.
Symptômes

Scénario 1

  • Vous utilisez .NET Framework 4.5.1 ou 4.5.2 sous Windows 8.1, Windows RT 8.1 ou Windows Server 2012 R2.
  • Vous avez installé toutes les dernières mises à jour pour .NET Framework 4.5.1 et 4.5.2, notamment les mises à jour 3098779 et 3097997.
  • Vous téléchargez et installez .NET Framework 4.6 ou vous installez Microsoft Visual Studio 2015.
Dans ce scénario, certains composants de .NET Framework 4.6 ne sont pas mis à niveau comme prévu ou certaines applications .NET Framework ne démarrent pas ou ne fonctionnent pas correctement.

Scénario 2

  • Vous utilisez .NET Framework 4.6 sous Windows 8.1, Windows RT 8.1 ou Windows Server 2012 R2.
  • Vous appliquez manuellement les mises à jour 3098779 et 3097997 ou toute autre mise à jour ne concernant pas .NET Framework 4.6, même si ces mises à jour sont destinées à .NET Framework 4.5.1 et 4.5.2.

    Remarque Ce scénario n'est pas pris en charge. Pour plus d'informations sur la procédure d'identification de l'application correcte pour une mise à jour de Microsoft .NET Framework, reportez-vous à l'article de la Base de connaissances Microsoft suivant : 3136092.
Dans ce scénario, certaines applications .NET Framework ne démarrent pas ou ne fonctionnent pas correctement.
Résolution

Solution pour le scénario 1

Les clients peuvent résoudre ces problèmes en procédant à la mise à niveau vers .NET Framework 4.6.1 à partir des sites web du Centre de téléchargement Microsoft suivants :

Les clients peuvent également désinstaller les mises à jour 3098779 et 3097997 s'ils ont mis à niveau leur système vers .NET Framework 4.6 ou s'ils ont installé Visual Studio 2015 à partir d'un système .NET 4.5.1 ou 4.5.2 entièrement mis à jour sur lequel les mises à jour 3098779 et 3097997 sont installées.

Les clients doivent ensuite effectuer une nouvelle recherche sur Windows Update, et télécharger et installer les mises à jour 3098785 et 3098000. Il s'agit des mises à jour correspondantes du Bulletin de sécurité Microsoft MS15-118 pour .NET Framework 4.6 sous Windows 8.1, Windows RT 8.1 ou Windows Server 2012 R2. Cette action va corriger l'incompatibilité de versions.

Solution pour le scénario 2

Les clients qui appliquent manuellement les mises à jour 3098779 et 3097997 sur des systèmes sur lesquels .NET Framework 4.6 est installé doivent savoir que ce scénario n'est pas pris en charge. Ces mises à jour ne s'appliquent pas à .NET Framework 4.6.

Par conséquent, les clients qui utilisent .NET Framework 4.6 doivent désinstaller les mises à jour 3098779 et 3097997. Les clients doivent repasser Windows Update en revue et n'installer que les mises à jour qui s'appliquent à .NET Framework 4.6. Cette action va corriger l'incompatibilité de versions.

De même, les clients qui utilisent .NET 4.5.1 ou 4.5.2 doivent s'assurer qu'aucune mise à jour n'est applicable à aucune autre version de .NET Framework installée sur leur système. Par exemple, les mises à jour concernant .NET Framework 4.6 ne doivent pas être appliquées à des systèmes sur lesquels .NET 4.5.1 ou 4.5.2 est installé. Pour plus d'informations sur la procédure d'identification de l'application correcte pour les mises à jour de Microsoft .NET Framework 4.6 et 4.6.1, reportez-vous à l'article de la Base de connaissances Microsoft suivant : 3136092
Statut
Microsoft a confirmé l'existence de ce problème dans les produits Microsoft figurant dans la liste des produits concernés par cet article.

Produits concernés

Cet article s'applique aux produits suivants :

  • Microsoft .NET Framework 4.6 sous :

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft .NET Framework 4.5.2 sous :

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft .NET Framework 4.5.1 sous :

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
Propriétés

ID d'article : 3118750 - Dernière mise à jour : 01/20/2016 14:37:00 - Révision : 5.0

Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1

  • atdownload kbbug kbexpertiseinter kbfix kbsecbulletin kbsecurity kbsecvulnerability KB3118750
Commentaires